SYNK
GET/search

Searches for tracks matching whatever you type in. Returns up to 20 results with cover art served through the cover proxy.

Rate limit
60 req/min
Caching
Not cached. Every search goes upstream.
Authentication
Send a User-Agent header containing a contact email. See authentication.

Parameters

NameTypeRequiredDescription
querystringrequiredJust type what you are looking for. e.g. daft punk get lucky.
limitintegeroptionalHow many results to return. Between 1 and 50. Defaults to 20.

Request

curl 'https://api.synkradio.co.uk/search?query=around%20the%20world' \
  -H 'User-Agent: [email protected]'

Try it

GETTry it
Sends a real request
https://api.synkradio.co.uk/search?query=daft%20punk

Response

200 application/json
[
  {
    "id": 116706671,
    "name": "Get Lucky (feat. Pharrell Williams)",
    "artist": "Daft Punk",
    "album": "Random Access Memories",
    "durationMs": 369000,
    "explicit": false,
    "isrc": "USQX91300809",
    "cover": "https://api.synkradio.co.uk/cover?artist=Daft+Punk&title=Get+Lucky"
  },
  {
    "id": 67234751,
    "name": "Around the World",
    "artist": "Daft Punk",
    "album": "Homework",
    "durationMs": 428000,
    "explicit": false,
    "isrc": "GBDKA9600087",
    "cover": "https://api.synkradio.co.uk/cover?artist=Daft+Punk&title=Around+the+World"
  }
]